{ pkgs, ... }: {
  systemd.user.services.figma-agent = {
    description = "Figma Agent for local font access";
    wantedBy = [ "default.target" ];
    serviceConfig = {
      ExecStart = "${pkgs.figma-agent}/bin/figma-agent";
      Restart = "on-failure";
    };
  };

  systemd.user.sockets.figma-agent = {
    description = "Figma Agent socket";
    wantedBy = [ "default.target" ];
    socketConfig = {
      ListenStream = "127.0.0.1:44950";
      NoDelay = true;
    };
  };
}